Bug 212623 - audio/mp3blaster: fix build with Clang 3.9
Summary: audio/mp3blaster: fix build with Clang 3.9
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Roman Bogorodskiy
URL:
Keywords:
Depends on:
Blocks: 212343
  Show dependency treegraph
 
Reported: 2016-09-12 18:39 UTC by Ed Maste
Modified: 2016-09-22 20:47 UTC (History)
0 users

See Also:
novel: maintainer-feedback+


Attachments
add files/patch-src__global.cc to fix build with Clang 3.9 (1.07 KB, patch)
2016-09-12 18:39 UTC, Ed Maste
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Ed Maste freebsd_committer 2016-09-12 18:39:11 UTC
Created attachment 174692 [details]
add files/patch-src__global.cc to fix build with Clang 3.9

Fixed by attached patch, reported upstream at https://sourceforge.net/p/mp3blaster/bugs/21/
Comment 1 Roman Bogorodskiy freebsd_committer 2016-09-17 15:25:38 UTC
Oops, I changed maintainer-feedback to "+" few days ago, but forgot to save changes, apparently. Sorry about that.

Thanks for the patch, please feel free to commit it.
Comment 2 commit-hook freebsd_committer 2016-09-19 18:00:36 UTC
A commit references this bug:

Author: emaste
Date: Mon Sep 19 18:00:03 UTC 2016
New revision: 422453
URL: https://svnweb.freebsd.org/changeset/ports/422453

Log:
  audio/mp3blaster: fix build with Clang 3.9

  PR:		212623
  Approved by:	novel

Changes:
  head/audio/mp3blaster/files/patch-src__global.cc